package mathvis.ws06.jtem.ode;

import de.jtem.numericalMethods.calculus.odeSolving.ODE;

public abstract class HeightFieldODE implements ODE {

	protected int u, v;
	protected double[] values;
	
	public HeightFieldODE(double[] initialValues, int u, int v) {
		this.u=u;
		this.v=v;
		values=initialValues.clone();
	}
	
	public double[] getHeightFieldValues() {
		return values;
	}
	
	public void setHeightFieldValues(double[] values) {
		System.arraycopy(values, 0, this.values, 0, values.length);
	}

	public abstract void eval(double t, double[] x, double[] y);

	public abstract int getNumberOfEquations();
	
	public abstract double[] getOdeValues();
	
}
